const { app,ipcMain } = require('electron')
const { autoUpdater } = require("electron-updater")
// 退出程序
ipcMain.on('app-close', () => {
    app.quit();
});
// 安装更新 ev-update-now
ipcMain.on('install-update', () => {
    autoUpdater.quitAndInstall()
})
// 检查更新 ev-check-for-update
ipcMain.on('inspect-update', () => {
    autoUpdater.checkForUpdates()
})
// 下载更新 confirmDownloadUpdate
ipcMain.on('download-update', () => {
    autoUpdater.downloadUpdate();
});
